org.apache.storm.container.cgroup.core

## Class NetPrioCore

- java.lang.Object
- - org.apache.storm.container.cgroup.core.NetPrioCore

- All Implemented Interfaces:
    CgroupCore

      public class NetPrioCore
      extends Object
      implements CgroupCore

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NET_PRIO_IFPRIOMAP`
    `static String` | `NET_PRIO_PRIOIDX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetPrioCore(String dir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Integer>` | `getIfPrioMap()`
    `int` | `getPrioId()`
    `SubSystemType` | `getType()`
    `void` | `setIfPrioMap(String iface, int priority)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NET_PRIO_PRIOIDX

          public static final String NET_PRIO_PRIOIDX

      See Also:
        Constant Field Values

    - #### NET_PRIO_IFPRIOMAP

          public static final String NET_PRIO_IFPRIOMAP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NetPrioCore

          public NetPrioCore(String dir)

  - ### Method Detail

    - #### getType

          public SubSystemType getType()

      Specified by:
        `getType` in interface `CgroupCore`

    - #### getPrioId

          public int getPrioId()
                        throws IOException

      Throws:
        `IOException`

    - #### setIfPrioMap

          public void setIfPrioMap(String iface,
                                   int priority)
                            throws IOException

      Throws:
        `IOException`

    - #### getIfPrioMap

          public Map<String,Integer> getIfPrioMap()
                                           throws IOException

      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.